World of Warships
Player Support
All articles

Cessation of Support for Direct X Versions below 10.1 and Addition of X64 Client

World of Warships is undergoing continuous development, both technically and in terms of new in-game content. Currently, graphics cards that don't support DirectX 10.1 or higher are considered to be outdated, and their characteristics don't meet our minimum system requirements. Maintaining support of outdated technology requires a lot of effort from the developers, slowing down the game's development.

Thus, with update 0.8.3, we cease our support for DirectX 9, and launching the game with DirectX 9 will no longer be possible. Players who use graphics cards that support DirectX 10.0 will still be able to launch the game, but we can't guarantee stable operation of the client, or that it will launch at all with future updates.

  • You can find more details on the reasons behind these changes in our article.
  • You can find out how to update DirectX right here.

This update adds the x64 client. When you launch the game, it will automatically determine which version of the client to use. On computers with RAM of 6 GB or more, the x64 client will be used; if your PC's RAM is less than 6 GB, it will use the x86 client. You don't need to download or configure anything extra. This variant of the client makes good use of the advantages of the x64 architecture that’s so important for the game—and full use of the PC's RAM.

Related Articles